//=--------------------------------------------------------------------------=
// WebBitmapPPG.H
//=--------------------------------------------------------------------------=
// Copyright  1995  Microsoft Corporation.  All Rights Reserved.
//
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY OF 
// ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO 
// THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A 
// PARTICULAR PURPOSE.
//=--------------------------------------------------------------------------=
//
// class declaration for WebBitmap's property pages.
//
#ifndef _WEBBITMAPPROPPAGE_H_


// kinda need these
//
#include "PropPage.H"
#include "Resource.H"
#include "Guids.H"

class CWebBitmapGeneralPage : public CPropertyPage {

  public:
    static IUnknown *Create(IUnknown *pUnkOuter);

    // constructor and destructor
    //
    CWebBitmapGeneralPage(IUnknown *pUnkOuter);
    virtual ~CWebBitmapGeneralPage();

  private:
    virtual BOOL DialogProc(HWND, UINT, WPARAM, LPARAM);

};

DEFINE_PROPERTYPAGEOBJECT(WebBitmapGeneral,
    &CLSID_WebBitmapGeneralPage,
    "WebBitmap General Propery Page",
    CWebBitmapGeneralPage::Create,
    IDD_PROPPAGE_WEBBITMAPGENERAL,
    IDS_WEBBITMAP_GENERALPAGETITLE,
    IDS_WEBBITMAP_GENERALDOCSTRING,
    "vb.hlp",
    0);

#define _WEBBITMAPPROPPAGE_H_
#endif // _WEBBITMAPPROPPAGE_H_
